org.springframework.batch.sample.domain.order

## Class ShippingInfo

- java.lang.Object
- - org.springframework.batch.sample.domain.order.ShippingInfo

-     public class ShippingInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINE_ID_SHIPPING_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShippingInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getShipperId()`
    `java.lang.String` | `getShippingInfo()`
    `java.lang.String` | `getShippingTypeId()`
    `int` | `hashCode()`
    `void` | `setShipperId(java.lang.String shipperId)`
    `void` | `setShippingInfo(java.lang.String shippingInfo)`
    `void` | `setShippingTypeId(java.lang.String shippingTypeId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_ID_SHIPPING_INFO

          public static final java.lang.String LINE_ID_SHIPPING_INFO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ShippingInfo

          public ShippingInfo()

  - ### Method Detail

    - #### getShipperId

          public java.lang.String getShipperId()

    - #### setShipperId

          public void setShipperId(java.lang.String shipperId)

    - #### getShippingInfo

          public java.lang.String getShippingInfo()

    - #### setShippingInfo

          public void setShippingInfo(java.lang.String shippingInfo)

    - #### getShippingTypeId

          public java.lang.String getShippingTypeId()

    - #### setShippingTypeId

          public void setShippingTypeId(java.lang.String shippingTypeId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`